Bug 1652627

Summary: There is float point exception at caca/dither.c:1013 (function:caca_dither_bitmap )in libcaca latest version.
Product: [Fedora] Fedora Reporter: shuitao gan <ganshuitao>
Component: libcacaAssignee: Matthias Saou <matthias>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: unspecified    
Version: 31CC: agk, henri, iamleot+rhbugzilla, matthias, negativo17, omarandemad, pahan
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-11-24 17:47:56 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
./img2txt POC6 none

Description shuitao gan 2018-11-22 13:28:32 UTC
Created attachment 1507964 [details]
./img2txt POC6

version: libcaca0.99beta19
Summary: 

There is float point exception at caca/dither.c:1013 (function:caca_dither_bitmap )in libcaca latest version.

Description:

The asan debug is as follows:

$./img2txt POC6

=================================================================
==65878==ERROR: AddressSanitizer: FPE on unknown address 0x7efce996aa4a (pc 0x7efce996aa4a bp 0x0000ffff8e2b sp 0x7ffd5af44cf0 T0)
    #0 0x7efce996aa49 in caca_dither_bitmap /home/company/real/libcaca-master/caca/dither.c:1013
    #1 0x55ad5d57196e in main /home/company/real/libcaca-master/src/img2txt.c:210
    #2 0x7efce95881c0 in __libc_start_main (/lib/x86_64-linux-gnu/libc.so.6+0x211c0)
    #3 0x55ad5d571f09 in _start (/home/company/real/libcaca-master/install_asan/bin/img2txt+0x2f09)

AddressSanitizer can not provide additional info.
SUMMARY: AddressSanitizer: FPE /home/company/real/libcaca-master/caca/dither.c:1013 in caca_dither_bitmap
==65878==ABORTING

Comment 1 Leonardo Taccari 2018-12-28 22:34:43 UTC
Hello shuitao!
was this reported upstream?  If not, can you please share this problem also with them?


Thank you!

Comment 2 Henri Salo 2018-12-29 03:27:49 UTC
Reported to upstream https://github.com/cacalabs/libcaca/issues/36

Comment 3 Henri Salo 2018-12-29 03:30:37 UTC
(In reply to Leonardo Taccari from comment #1)
> was this reported upstream?  If not, can you please share this problem also
> with them?

How do I correctly add CVEs to this Bugzilla?

Comment 4 Leonardo Taccari 2018-12-29 14:18:05 UTC
Thank you very much Henri!

(Unfortunately I do not know how to add the corresponding CVE IDs to the bug report.)

Comment 5 Leonardo Taccari 2019-01-01 01:08:10 UTC
Hello Henri,
at least on other ids I have seen that CVEs are added by populating `Alias' field.

E.g. CVE-2018-14653:

 <https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2018-14653>

...AKA Bug 1633431:

 <https://bugzilla.redhat.com/show_bug.cgi?id=1633431>

Comment 6 Henri Salo 2019-01-03 00:34:21 UTC
I don't think I'm able to add those with my account. These issues and one new one reported by me are fixed in upstream.

Comment 8 Ben Cotton 2019-08-13 16:58:30 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 9 Ben Cotton 2019-08-13 18:58:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 10 Ben Cotton 2020-11-03 16:46:47 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Ben Cotton 2020-11-24 17:47:56 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.